<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (16) on Mon May 31 12:39:56 CEST 2021 -->
<title>CompRational</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-05-31">
<meta name="description" content="declaration: package: app.exercise.algebra, class: CompRational">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">app.exercise.algebra</a></div>
<h1 title="Class CompRational" class="title">Class CompRational</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance"><a href="BasisFraction.html" title="class in app.exercise.algebra">app.exercise.algebra.BasisFraction</a>
<div class="inheritance"><a href="Rational.html" title="class in app.exercise.algebra">app.exercise.algebra.Rational</a>
<div class="inheritance">app.exercise.algebra.CompRational</div>
</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code>, <code><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Comparable.html" title="class or interface in java.lang" class="external-link">Comparable</a>&lt;<a href="CompRational.html" title="class in app.exercise.algebra">CompRational</a>&gt;</code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">CompRational</span>
<span class="extends-implements">extends <a href="Rational.html" title="class in app.exercise.algebra">Rational</a>
implements <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Comparable.html" title="class or interface in java.lang" class="external-link">Comparable</a>&lt;<a href="CompRational.html" title="class in app.exercise.algebra">CompRational</a>&gt;</span></div>
<div class="block">Die Klasse erbt von Rational und implementiert java.lang.Conparable,
 somit sind einzelne Objekte miteinander vergleichbar</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><span class="member-name-link"><a href="#%3Cinit%3E()">CompRational</a></span>()</code></div>
<div class="col-last even-row-color">
<div class="block">Default konstruktor ruft auch den Konstruktor der Superklasse auf</div>
</div>
<div class="col-constructor-name odd-row-color"><code><span class="member-name-link"><a href="#%3Cinit%3E(long,long)">CompRational</a></span>&#8203;(long&nbsp;numerator,
 long&nbsp;denominator)</code></div>
<div class="col-last odd-row-color">
<div class="block">Konstruktor mit zwei Parametern, ruft einfach den Konstruktor
 der super-Klasse auf</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>int</code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#compareTo(app.exercise.algebra.CompRational)">compareTo</a></span>&#8203;(<a href="CompRational.html" title="class in app.exercise.algebra">CompRational</a>&nbsp;o)</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">compareTo macht zwei Objekte der Klasse miteinander vergleichbar,
 indem sie auf den gleichen nenner gebracht werden und der Zählr vergleicht
 wird</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.app.exercise.algebra.Rational">Methods inherited from class&nbsp;app.exercise.algebra.<a href="Rational.html" title="class in app.exercise.algebra">Rational</a></h3>
<code><a href="Rational.html#clone()">clone</a>, <a href="Rational.html#equals(java.lang.Object)">equals</a>, <a href="Rational.html#gcd(long,long)">gcd</a>, <a href="Rational.html#getD()">getD</a>, <a href="Rational.html#getN()">getN</a>, <a href="Rational.html#hashCode()">hashCode</a>, <a href="Rational.html#setND(long,long)">setND</a>, <a href="Rational.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.app.exercise.algebra.BasisFraction">Methods inherited from class&nbsp;app.exercise.algebra.<a href="BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></h3>
<code><a href="BasisFraction.html#add(app.exercise.algebra.Fractional)">add</a>, <a href="BasisFraction.html#div(app.exercise.algebra.Fractional)">div</a>, <a href="BasisFraction.html#mul(app.exercise.algebra.Fractional)">mul</a>, <a href="BasisFraction.html#negation()">negation</a>, <a href="BasisFraction.html#reciprocal()">reciprocal</a>, <a href="BasisFraction.html#sub(app.exercise.algebra.Fractional)">sub</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(long,long)">
<h3>CompRational</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">CompRational</span>&#8203;<span class="parameters">(long&nbsp;numerator,
 long&nbsp;denominator)</span></div>
<div class="block">Konstruktor mit zwei Parametern, ruft einfach den Konstruktor
 der super-Klasse auf</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>numerator</code> - Zähler</dd>
<dd><code>denominator</code> - Nenner</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>CompRational</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">CompRational</span>()</div>
<div class="block">Default konstruktor ruft auch den Konstruktor der Superklasse auf</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="compareTo(app.exercise.algebra.CompRational)">
<h3>compareTo</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">compareTo</span>&#8203;<span class="parameters">(<a href="CompRational.html" title="class in app.exercise.algebra">CompRational</a>&nbsp;o)</span></div>
<div class="block">compareTo macht zwei Objekte der Klasse miteinander vergleichbar,
 indem sie auf den gleichen nenner gebracht werden und der Zählr vergleicht
 wird</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Comparable.html#compareTo(T)" title="class or interface in java.lang" class="external-link">compareTo</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Comparable.html" title="class or interface in java.lang" class="external-link">Comparable</a>&lt;<a href="CompRational.html" title="class in app.exercise.algebra">CompRational</a>&gt;</code></dd>
<dt>Parameters:</dt>
<dd><code>o</code> - Das zu verlgeichende Objekt</dd>
<dt>Returns:</dt>
<dd>kleiner 0, größer 0 , 0, wie die Objekte zueinander stehen</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
